cabal- won't build with ghc-6.6.1 in WinXP

Alistair Bayley alistair at
Fri Jan 23 11:46:02 EST 2009

> Thanks for the bug report. I filed the details here:
> I've pushed a patch to Cabal HEAD. Would you mind checking that it fixes
> the issue for you and I'll push the fix to the 1.6 branch so that it'll
> get into the upcomming release.

It seems to work. I can build under ghc-6.6 now (although I get loads
of linker errors, which is another problem to sort out).

Turns out that with ghc-6.6, the Maybe instance of Monoid is missing
(it's in 6.8 onwards), so I had to change Setup to handle this.

Thanks for the rapid turnaround.


More information about the cabal-devel mailing list